Index: src/remoting/org/jboss/seam/remoting/InterfaceGenerator.java
===================================================================
--- src/remoting/org/jboss/seam/remoting/InterfaceGenerator.java	(revision 11224)
+++ src/remoting/org/jboss/seam/remoting/InterfaceGenerator.java	(working copy)
@@ -70,21 +70,26 @@
         {
            ServletContexts.instance().setRequest(request);
            
-           if (request.getQueryString() == null)
+           // split should result in: [, remoting, componentNames, interface.js]
+           String[] splitPath = request.getPathInfo().split("/");
+
+           if (splitPath.length < 4) 
            {
               throw new ServletException("Invalid request - no component specified");
            }
-                     
+           else if (splitPath.length > 4) 
+           {
+              throw new ServletException("Invalid request - Illegal number of arguments");
+           }
+           
            Set<Component> components = new HashSet<Component>();
            Set<Type> types = new HashSet<Type>();
+
+           response.setContentType("text/javascript");           
            
-           response.setContentType("text/javascript");
-
-           Enumeration e = request.getParameterNames();
-           while (e.hasMoreElements())
+           String[] componentNames = splitPath[2].split(";");
+           for (String componentName: componentNames)
            {
-              String componentName = ((String) e.nextElement()).trim();
-              
               Component component = Component.forName(componentName);
               if (component == null)
               {                 
@@ -109,7 +114,7 @@
        }
      }.run();
   }
-
+  
   /**
    * Generates the JavaScript code required to invoke the methods of a component/s.
    *
Index: src/remoting/org/jboss/seam/remoting/Remoting.java
===================================================================
--- src/remoting/org/jboss/seam/remoting/Remoting.java	(revision 11224)
+++ src/remoting/org/jboss/seam/remoting/Remoting.java	(working copy)
@@ -101,8 +101,11 @@
    {
       try
       {         
-         String pathInfo = request.getPathInfo().substring(getResourcePath().length());      
+         String pathInfo = request.getPathInfo();
          
+         // get the final file ... /interface.js, /subscription, etc to choose the handler
+         pathInfo = pathInfo.substring(pathInfo.lastIndexOf('/'));
+         
          RequestHandler handler = RequestHandlerFactory.getInstance()
                .getRequestHandler(pathInfo);
          if (handler != null)
Index: ui/src/main/java/org/jboss/seam/ui/renderkit/RemoteRendererBase.java
===================================================================
--- ui/src/main/java/org/jboss/seam/ui/renderkit/RemoteRendererBase.java	(revision 11224)
+++ ui/src/main/java/org/jboss/seam/ui/renderkit/RemoteRendererBase.java	(working copy)
@@ -58,8 +58,8 @@
       response.startElement("script", null);
       response.writeAttribute("type", "text/javascript", null);
       response.writeAttribute("src", context.getExternalContext().getRequestContextPath()
-               + "/seam/resource/remoting/interface.js?" + 
-               remote.getInclude().replace(',', '&'), null);
+               + "/seam/resource/remoting/" +  remote.getInclude().replace(",", "%3B") 
+               + "/interface.js", null);
       response.endElement("script");
    }
 }
